Package org.silverpeas.components.scheduleevent.servlets.handlers

# Interface ScheduleEventRequestHandler

All Known Subinterfaces:
  `ScheduleEventBackableRequestHandler`

All Known Implementing Classes:
  `ScheduleEventActionDateRequestHandler`, `ScheduleEventAddDateRequestHandler`, `ScheduleEventAddRequestHandler`, `ScheduleEventBackwardRequestHandler`, `ScheduleEventCallAgainRequestHandler`, `ScheduleEventCancelRequestHandler`, `ScheduleEventConfirmRequestHandler`, `ScheduleEventConfirmUsersRequestHandler`, `ScheduleEventDateNextRequestHandler`, `ScheduleEventDeleteDateRequestHandler`, `ScheduleEventDeleteRequestHandler`, `ScheduleEventDescriptionNextRequestHandler`, `ScheduleEventDetailRequestHandler`, `ScheduleEventExportRequestHandler`, `ScheduleEventMainRequestHandler`, `ScheduleEventModifyStateRequestHandler`, `ScheduleEventOpenUserRequestHandler`, `ScheduleEventSimpleFormRequestHandler`, `ScheduleEventTimeNextRequestHandler`, `ScheduleEventValidResponseRequestHandler`

public interface ScheduleEventRequestHandler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CURRENT_SCHEDULE_EVENT`
  `static final SimpleDateFormat`
  `FORMATTER_TMP_ID`
  `static final String`
  `LAST_DATE`
  `static final String`
  `LIST_SCHEDULE_EVENT`
  `static final String`
  `SCHEDULE_EVENT_DETAIL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDestination(String function, ScheduleEventSessionController scheduleeventSC, jakarta.servlet.http.HttpServletRequest request)`

- ## Field Details

  - ### LAST_DATE

    static final String LAST_DATE
    See Also:
      - Constant Field Values

  - ### SCHEDULE_EVENT_DETAIL

    static final String SCHEDULE_EVENT_DETAIL
    See Also:
      - Constant Field Values

  - ### CURRENT_SCHEDULE_EVENT

    static final String CURRENT_SCHEDULE_EVENT
    See Also:
      - Constant Field Values

  - ### LIST_SCHEDULE_EVENT

    static final String LIST_SCHEDULE_EVENT
    See Also:
      - Constant Field Values

  - ### FORMATTER_TMP_ID

    static final SimpleDateFormat FORMATTER_TMP_ID

- ## Method Details

  - ### getDestination

    String getDestination(String function, ScheduleEventSessionController scheduleeventSC, jakarta.servlet.http.HttpServletRequest request) throws org.silverpeas.kernel.SilverpeasException
    Throws:
      `org.silverpeas.kernel.SilverpeasException`